#{extends 'common/frontend.html' /}
#{set 'title'}
<h1>Role</h1>
#{/set}
<link href="@{'/public/vendor/admin-lte/bootstrap/css/bootstrap.min.css'}" rel="stylesheet" type="text/css" />
#{common.alert /}
<div class="container-fluid">
    <p>
        <a href="@{controllers.user.management.RoleController.create()}" class="btn btn-danger">Tambah Role</a>
    </p>
    <div class="row">
        <div class="col">
            <div class="card">
                <div class="card-header">
                    Daftar Role
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                    <table id="table-user" class="table table-bordered table-hover" width="100%">
                        <thead>
                        <tr>
                            <th>No</th>
                            <th>Name</th>
                            <th>Deskripsi Role</th>
                            <th>Dibuat</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody></tbody>
                    </table>
                </div>
                </div>
            </div>
        </div>
    </div>
</div>

#{set 'moreStyles'}
    <script src="@{'/public/javascripts/dataTables.bootstrap4.min.js'}" type="text/javascript"></script>
    <style >
        div#table-user_paginate ul.pagination {
            float: right;
        }
        div#table-user_filter {
            float: right;
        }
        div#table-user_length label {
        display: inline-flex;
        }
        div#table-user_length .custom-select {
        height:auto !important;
        }
        .main-header .navbar-custom-menu {
        position:absolute !important;
        right: 1vw !important;
        }
        .table-responsive {
        overflow-x:unset !important;
        }
    </style>
#{/set}

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function () {
        var table = jQuery('#table-user').DataTable( {
            responsive: true,
            "ajax": {
                url: "@{controllers.user.management.RoleController.json()}",
                dataSrc: 'data'
            },
        });
    });
</script>
#{/set}